Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

line_integration_giwaxs.py

color_plot.py


Most Recent Stable Version: DPDAK 1.3.

...

1

      • Supported Operating System:
        • Windows 7, Windows 10
      • Required Software:
        • Microsoft Visual C++ 2008 SP1 Redistributable Package (x86, x64)
        • Microsoft Visual C++ Compiler for Python 2.7

        • Microsoft .NET Framework 3.5
        • for 32-bit machine required also:
          • Microsoft Visual C++ 2005 Redistributable Package (x86)
          • Microsoft Visual C++ 2010 Redistributable Package (x86)
      • Hardware Requirements:
        • 2 GHz or faster processor
        • At least 2 GB of RAM; Recommend 4 GB RAM or higher
        • 670 MB of available hard disk space
  • Linux:
    • as As zip-file: dpdak_Linux_v1_3_01.zip
    • Installation
      • The Linux installation is just from source. To use the source package of dpdak you need to install the free Python programming language and some additional libraries. Most Linux systems have Python installed by default.

        The current version of dpdak needs the following Python version and packages:

        Please make sure to choose the correct package versions for your Python installation. E.g. if you installed Python 2.7.11 32-bit you need to install all packages in their 2.7 version for 32-bit as well.

        On current Debian Linux distributions (Debian 8, Debian 9  ...) you can install all necessary packages via the package manager synaptic,or you can use the python install tool pip:

        pip install requests

        e.g. pip install hdf5plugin

        For other Linux distributions please check the websites for installation instructions.

        Note that to make use of the 'ImageIntegrationSubBG (Fit2D)' plugin, you also have to install some 32-bit libraries. E.g. on Debian 8 you have to do following steps:

        • dpkg --add-architecture i386
        • apt-get update
        • apt-get install build-essential gcc-multilib rpm libstdc++6:i386 libgcc1:i386 zlib1g:i386 libncurses5:i386 libc6:i386
        • apt-get install libgtk2.0-0:i386 libidn11:i386 libglu1-mesa:i386


        Steps after installing Python and the needed packages:

        • Download the source code of DPDAK via the Download page.
          • Extract the zip-file.
        • Start DPDAK by executing the file 'main.py', e.g. in the command line terminal: python main.py
          • It is recommended to do that within a command line terminal since otherwise some instructive error messages might be lost.

For changes with respect to the previous version v1.23.0, please read the Release Notes v1.3.01.

Old DPDAK Versions

Version DPDAK 1.3.0

Version DPDAK 1.2.0

...